Bug 54240 - [swrast] piglit fbo-generatemipmap-filtering regression
[swrast] piglit fbo-generatemipmap-filtering regression
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Other
git
x86-64 (AMD64) Linux (All)
: medium normal
Assigned To: Anuj Phogat
: regression
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 04:01 UTC by Vinson Lee
Modified: 2013-01-29 16:07 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
fbo-generatemipmap-filtering (1.46 KB, image/png)
2012-08-30 04:01 UTC, Vinson Lee
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2012-08-30 04:01:54 UTC
Created attachment 66310 [details]
fbo-generatemipmap-filtering

$ ./bin/fbo-generatemipmap-filtering -auto
Probe at (452,1)
  Expected: 0.500000 0.500000 0.000000 1.000000
  Observed: 0.000000 1.000000 0.000000 1.000000
Probe at (485,1)
  Expected: 0.500000 0.500000 0.000000 1.000000
  Observed: 1.000000 0.000000 0.000000 1.000000
Probe at (502,1)
  Expected: 0.500000 0.500000 0.000000 1.000000
  Observed: 1.000000 0.000000 0.000000 1.000000
Probe at (511,1)
  Expected: 0.500000 0.500000 0.000000 1.000000
  Observed: 1.000000 0.000000 0.000000 1.000000
Probe at (516,1)
  Expected: 0.500000 0.500000 0.000000 1.000000
  Observed: 1.000000 0.000000 0.000000 1.000000
PIGLIT: {'result': 'fail' }


commit 0fc11a24c85413a335b87bc34659d2381fd6670c
Author: Anuj Phogat <anuj.phogat@gmail.com>
Date:   Wed Aug 29 11:13:55 2012 -0700

    meta: Add GLSL variant of _mesa_meta_GenerateMipmap() function
    
    This reduces the overhead of using the fixed function internally
    in the driver.
    
    V2: Use setup_glsl_generate_mipmap() and setup_ff_generate_mipmap()
        functions to avoid code duplication.
        Use glsl version when ARB_{vertex, fragmet}_shader are present.
        Remove redundant code.
    
    V3: Remove redundant border related code leaving the assertion.
    
    Signed-off-by: Anuj Phogat <anuj.phogat@gmail.com>
    Reviewed-by: Ian Romanick <idr@freedesktop.org>
    Reviewed-by: Brian Paul <brianp@vmware.com>

:040000 040000 52c09d5978a327dd80e337615307595de98ba307 6a811d6b606f5fe63a29c96be689d428930d9225 M	src
bisect run success
Comment 1 Ian Romanick 2012-08-30 15:49:28 UTC
Does this occur just on swrast?  Have you tried any other drivers that use meta, like r200?
Comment 2 Anuj Phogat 2012-08-31 00:19:23 UTC
This seems like a bug in swrast pipeline when using glsl version of GenerateMipmap. Test passes if we force it to use fixed-function version. For both the paths we use common texture filtering code.
Comment 3 Vinson Lee 2013-01-26 09:16:54 UTC
mesa: 1a316af0343b1c1b345d6209a687ce858b47c438 (master)

fbo-generatemipmap-filtering still fails on swrast.
Comment 4 Brian Paul 2013-01-29 16:07:36 UTC
Fixed with commit 89551ae04f4cf994c0f7f2ac3aef7e1c57936a29